Index: src/backend/executor/execMain.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/executor/execMain.c,v
retrieving revision 1.174
diff -c -r1.174 execMain.c
*** src/backend/executor/execMain.c	15 Aug 2002 16:36:02 -0000	1.174
--- src/backend/executor/execMain.c	23 Aug 2002 02:30:07 -0000
***************
*** 545,551 ****
  			erm = (execRowMark *) palloc(sizeof(execRowMark));
  			erm->relation = relation;
  			erm->rti = rti;
! 			sprintf(erm->resname, "ctid%u", rti);
  			estate->es_rowMark = lappend(estate->es_rowMark, erm);
  		}
  	}
--- 545,551 ----
  			erm = (execRowMark *) palloc(sizeof(execRowMark));
  			erm->relation = relation;
  			erm->rti = rti;
! 			snprintf(erm->resname, 32, "ctid%u", rti);
  			estate->es_rowMark = lappend(estate->es_rowMark, erm);
  		}
  	}
Index: src/backend/optimizer/plan/planner.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/optimizer/plan/planner.c,v
retrieving revision 1.122
diff -c -r1.122 planner.c
*** src/backend/optimizer/plan/planner.c	20 Jun 2002 20:29:31 -0000	1.122
--- src/backend/optimizer/plan/planner.c	23 Aug 2002 02:30:07 -0000
***************
*** 961,967 ****
  				TargetEntry *ctid;
  
  				resname = (char *) palloc(32);
! 				sprintf(resname, "ctid%u", rti);
  				resdom = makeResdom(length(tlist) + 1,
  									TIDOID,
  									-1,
--- 961,967 ----
  				TargetEntry *ctid;
  
  				resname = (char *) palloc(32);
! 				snprintf(resname, 32, "ctid%u", rti);
  				resdom = makeResdom(length(tlist) + 1,
  									TIDOID,
  									-1,
Index: src/backend/parser/analyze.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/parser/analyze.c,v
retrieving revision 1.242
diff -c -r1.242 analyze.c
*** src/backend/parser/analyze.c	19 Aug 2002 19:33:34 -0000	1.242
--- src/backend/parser/analyze.c	23 Aug 2002 02:30:07 -0000
***************
*** 2144,2150 ****
  		/*
  		 * Make the leaf query be a subquery in the top-level rangetable.
  		 */
! 		sprintf(selectName, "*SELECT* %d", length(pstate->p_rtable) + 1);
  		rte = addRangeTableEntryForSubquery(pstate,
  											selectQuery,
  											makeAlias(selectName, NIL),
--- 2144,2150 ----
  		/*
  		 * Make the leaf query be a subquery in the top-level rangetable.
  		 */
! 		snprintf(selectName, 32, "*SELECT* %d", length(pstate->p_rtable) + 1);
  		rte = addRangeTableEntryForSubquery(pstate,
  											selectQuery,
  											makeAlias(selectName, NIL),
Index: src/backend/parser/gram.y
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/parser/gram.y,v
retrieving revision 2.360
diff -c -r2.360 gram.y
*** src/backend/parser/gram.y	19 Aug 2002 15:08:47 -0000	2.360
--- src/backend/parser/gram.y	23 Aug 2002 02:30:07 -0000
***************
*** 2093,2099 ****
  			ICONST
  				{
  					char buf[64];
! 					sprintf (buf, "%d", $1);
  					$$ = makeString(pstrdup(buf));
  				}
  			| FCONST								{ $$ = makeString($1); }
--- 2093,2099 ----
  			ICONST
  				{
  					char buf[64];
! 					snprintf (buf, sizeof(buf), "%d", $1);
  					$$ = makeString(pstrdup(buf));
  				}
  			| FCONST								{ $$ = makeString($1); }
Index: src/backend/utils/adt/mac.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/mac.c,v
retrieving revision 1.24
diff -c -r1.24 mac.c
*** src/backend/utils/adt/mac.c	17 Jun 2002 07:00:26 -0000	1.24
--- src/backend/utils/adt/mac.c	23 Aug 2002 02:30:08 -0000
***************
*** 80,86 ****
  
  	result = (char *) palloc(32);
  
! 	sprintf(result, "%02x:%02x:%02x:%02x:%02x:%02x",
  			addr->a, addr->b, addr->c, addr->d, addr->e, addr->f);
  
  	PG_RETURN_CSTRING(result);
--- 80,86 ----
  
  	result = (char *) palloc(32);
  
! 	snprintf(result, 32, "%02x:%02x:%02x:%02x:%02x:%02x",
  			addr->a, addr->b, addr->c, addr->d, addr->e, addr->f);
  
  	PG_RETURN_CSTRING(result);
Index: src/backend/utils/adt/tid.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/tid.c,v
retrieving revision 1.33
diff -c -r1.33 tid.c
*** src/backend/utils/adt/tid.c	15 Aug 2002 16:36:05 -0000	1.33
--- src/backend/utils/adt/tid.c	23 Aug 2002 02:30:08 -0000
***************
*** 101,107 ****
  	blockNumber = BlockIdGetBlockNumber(blockId);
  	offsetNumber = itemPtr->ip_posid;
  
! 	sprintf(buf, "(%u,%u)", blockNumber, offsetNumber);
  
  	PG_RETURN_CSTRING(pstrdup(buf));
  }
--- 101,107 ----
  	blockNumber = BlockIdGetBlockNumber(blockId);
  	offsetNumber = itemPtr->ip_posid;
  
! 	snprintf(buf, sizeof(buf), "(%u,%u)", blockNumber, offsetNumber);
  
  	PG_RETURN_CSTRING(pstrdup(buf));
  }
Index: src/backend/utils/adt/varlena.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/varlena.c,v
retrieving revision 1.88
diff -c -r1.88 varlena.c
*** src/backend/utils/adt/varlena.c	22 Aug 2002 03:24:00 -0000	1.88
--- src/backend/utils/adt/varlena.c	23 Aug 2002 02:30:08 -0000
***************
*** 1787,1798 ****
  {
  	static char		digits[] = "0123456789abcdef";
  	char			buf[32];	/* bigger than needed, but reasonable */
! 	char		   *ptr,
! 				   *end;
  	text		   *result_text;
  	int32			value = PG_GETARG_INT32(0);
  
! 	end = ptr = buf + sizeof(buf) - 1;
  	*ptr = '\0';
  
  	do
--- 1787,1797 ----
  {
  	static char		digits[] = "0123456789abcdef";
  	char			buf[32];	/* bigger than needed, but reasonable */
! 	char		   *ptr;
  	text		   *result_text;
  	int32			value = PG_GETARG_INT32(0);
  
! 	ptr = buf + sizeof(buf) - 1;
  	*ptr = '\0';
  
  	do
***************
*** 1814,1825 ****
  {
  	static char		digits[] = "0123456789abcdef";
  	char			buf[32];	/* bigger than needed, but reasonable */
! 	char			*ptr,
! 					*end;
  	text			*result_text;
  	int64			value = PG_GETARG_INT64(0);
  
! 	end = ptr = buf + sizeof(buf) - 1;
  	*ptr = '\0';
  
  	do
--- 1813,1823 ----
  {
  	static char		digits[] = "0123456789abcdef";
  	char			buf[32];	/* bigger than needed, but reasonable */
! 	char			*ptr;
  	text			*result_text;
  	int64			value = PG_GETARG_INT64(0);
  
! 	ptr = buf + sizeof(buf) - 1;
  	*ptr = '\0';
  
  	do
Index: src/bin/pg_dump/pg_backup_tar.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/bin/pg_dump/pg_backup_tar.c,v
retrieving revision 1.25
diff -c -r1.25 pg_backup_tar.c
*** src/bin/pg_dump/pg_backup_tar.c	20 Aug 2002 17:54:44 -0000	1.25
--- src/bin/pg_dump/pg_backup_tar.c	23 Aug 2002 02:30:08 -0000
***************
*** 1189,1200 ****
  _tarWriteHeader(TAR_MEMBER *th)
  {
  	char		h[512];
- 	int			i;
  	int			lastSum = 0;
  	int			sum;
  
! 	for (i = 0; i < 512; i++)
! 		h[i] = '\0';
  
  	/* Name 100 */
  	sprintf(&h[0], "%.99s", th->targetFile);
--- 1189,1198 ----
  _tarWriteHeader(TAR_MEMBER *th)
  {
  	char		h[512];
  	int			lastSum = 0;
  	int			sum;
  
! 	memset(h, 0, sizeof(h));
  
  	/* Name 100 */
  	sprintf(&h[0], "%.99s", th->targetFile);
Index: src/bin/pg_dump/pg_backup_tar.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/bin/pg_dump/pg_backup_tar.h,v
retrieving revision 1.3
diff -c -r1.3 pg_backup_tar.h
*** src/bin/pg_dump/pg_backup_tar.h	22 Mar 2001 04:00:14 -0000	1.3
--- src/bin/pg_dump/pg_backup_tar.h	23 Aug 2002 02:30:08 -0000
***************
*** 4,10 ****
   * TAR Header
   *
   * Offset	Length	 Contents
!  *	 0	  100 bytes  File name ('\0' terminated, 99 maxmum length)
   * 100		8 bytes  File mode (in octal ascii)
   * 108		8 bytes  User ID (in octal ascii)
   * 116		8 bytes  Group ID (in octal ascii)
--- 4,10 ----
   * TAR Header
   *
   * Offset	Length	 Contents
!  *	 0	  100 bytes  File name ('\0' terminated, 99 maximum length)
   * 100		8 bytes  File mode (in octal ascii)
   * 108		8 bytes  User ID (in octal ascii)
   * 116		8 bytes  Group ID (in octal ascii)
***************
*** 12,21 ****
   * 136	   12 bytes  Modify time (in octal ascii)
   * 148		8 bytes  Header checksum (in octal ascii)
   * 156		1 bytes  Link flag
!  * 157	  100 bytes  Linkname ('\0' terminated, 99 maxmum length)
   * 257		8 bytes  Magic ("ustar  \0")
!  * 265	   32 bytes  User name ('\0' terminated, 31 maxmum length)
!  * 297	   32 bytes  Group name ('\0' terminated, 31 maxmum length)
   * 329		8 bytes  Major device ID (in octal ascii)
   * 337		8 bytes  Minor device ID (in octal ascii)
   * 345	  167 bytes  Padding
--- 12,21 ----
   * 136	   12 bytes  Modify time (in octal ascii)
   * 148		8 bytes  Header checksum (in octal ascii)
   * 156		1 bytes  Link flag
!  * 157	  100 bytes  Linkname ('\0' terminated, 99 maximum length)
   * 257		8 bytes  Magic ("ustar  \0")
!  * 265	   32 bytes  User name ('\0' terminated, 31 maximum length)
!  * 297	   32 bytes  Group name ('\0' terminated, 31 maximum length)
   * 329		8 bytes  Major device ID (in octal ascii)
   * 337		8 bytes  Minor device ID (in octal ascii)
   * 345	  167 bytes  Padding
Index: src/bin/psql/print.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/bin/psql/print.c,v
retrieving revision 1.28
diff -c -r1.28 print.c
*** src/bin/psql/print.c	18 Jul 2002 04:46:24 -0000	1.28
--- src/bin/psql/print.c	23 Aug 2002 02:30:08 -0000
***************
*** 540,548 ****
  				}
  
  				if (opt_border == 0)
! 					sprintf(record_str, "* Record %d", record++);
  				else
! 					sprintf(record_str, "[ RECORD %d ]", record++);
  				record_str_len = strlen(record_str);
  
  				if (record_str_len + opt_border > strlen(divider))
--- 540,548 ----
  				}
  
  				if (opt_border == 0)
! 					snprintf(record_str, 32, "* Record %d", record++);
  				else
! 					snprintf(record_str, 32, "[ RECORD %d ]", record++);
  				record_str_len = strlen(record_str);
  
  				if (record_str_len + opt_border > strlen(divider))
Index: src/interfaces/cli/example2.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/interfaces/cli/example2.c,v
retrieving revision 1.6
diff -c -r1.6 example2.c
*** src/interfaces/cli/example2.c	28 Oct 2001 06:26:10 -0000	1.6
--- src/interfaces/cli/example2.c	23 Aug 2002 02:30:08 -0000
***************
*** 56,62 ****
  	SQLHDBC		hdbc;
  	SQLHSTMT	hstmt;
  	SQLCHAR		errmsg[256];
! 	SQLCHAR		colname[32];
  	SQLSMALLINT coltype;
  	SQLSMALLINT colnamelen;
  	SQLSMALLINT nullable;
--- 56,62 ----
  	SQLHDBC		hdbc;
  	SQLHSTMT	hstmt;
  	SQLCHAR		errmsg[256];
! 	SQLCHAR		colname[64];
  	SQLSMALLINT coltype;
  	SQLSMALLINT colnamelen;
  	SQLSMALLINT nullable;
Index: src/pl/plpgsql/src/gram.y
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/pl/plpgsql/src/gram.y,v
retrieving revision 1.34
diff -c -r1.34 gram.y
*** src/pl/plpgsql/src/gram.y	8 Aug 2002 01:36:04 -0000	1.34
--- src/pl/plpgsql/src/gram.y	23 Aug 2002 02:30:08 -0000
***************
*** 1594,1600 ****
  		{
  			case T_VARIABLE:
  				params[nparams] = yylval.variable->dno;
! 				sprintf(buf, " $%d ", ++nparams);
  				plpgsql_dstring_append(&ds, buf);
  				break;
  
--- 1594,1600 ----
  		{
  			case T_VARIABLE:
  				params[nparams] = yylval.variable->dno;
! 				snprintf(buf, sizeof(buf), " $%d ", ++nparams);
  				plpgsql_dstring_append(&ds, buf);
  				break;
  
***************
*** 1791,1797 ****
  		{
  			case T_VARIABLE:
  				params[nparams] = yylval.variable->dno;
! 				sprintf(buf, " $%d ", ++nparams);
  				plpgsql_dstring_append(&ds, buf);
  				break;
  
--- 1791,1797 ----
  		{
  			case T_VARIABLE:
  				params[nparams] = yylval.variable->dno;
! 				snprintf(buf, sizeof(buf), " $%d ", ++nparams);
  				plpgsql_dstring_append(&ds, buf);
  				break;
  
Index: src/pl/plpgsql/src/pl_comp.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/pl/plpgsql/src/pl_comp.c,v
retrieving revision 1.47
diff -c -r1.47 pl_comp.c
*** src/pl/plpgsql/src/pl_comp.c	22 Aug 2002 00:01:50 -0000	1.47
--- src/pl/plpgsql/src/pl_comp.c	23 Aug 2002 02:30:08 -0000
***************
*** 249,255 ****
  			{
  				char		buf[32];
  
! 				sprintf(buf, "$%d", i + 1);	/* name for variable */
  
  				/*
  				 * Get the parameters type
--- 249,255 ----
  			{
  				char		buf[32];
  
! 				snprintf(buf, sizeof(buf), "$%d", i + 1);	/* name for variable */
  
  				/*
  				 * Get the parameters type
